转化跟进事项为复盘后续行动
curl --request POST \
--url 'https://api.flashcat.cloud/incident/work-item/convert?app_key=' \
--header 'Content-Type: application/json' \
--data '
{
"work_item_id": "wi_9fK2mNqRtVwXyZaBcDeFgH",
"version": 2,
"target_status": "open",
"idempotency_key": "convert-wi-20260731-0001"
}
'import requests
url = "https://api.flashcat.cloud/incident/work-item/convert?app_key="
payload = {
"work_item_id": "wi_9fK2mNqRtVwXyZaBcDeFgH",
"version": 2,
"target_status": "open",
"idempotency_key": "convert-wi-20260731-0001"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
work_item_id: 'wi_9fK2mNqRtVwXyZaBcDeFgH',
version: 2,
target_status: 'open',
idempotency_key: 'convert-wi-20260731-0001'
})
};
fetch('https://api.flashcat.cloud/incident/work-item/convert?app_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flashcat.cloud/incident/work-item/convert?app_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'work_item_id' => 'wi_9fK2mNqRtVwXyZaBcDeFgH',
'version' => 2,
'target_status' => 'open',
'idempotency_key' => 'convert-wi-20260731-0001'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.flashcat.cloud/incident/work-item/convert?app_key="
payload := strings.NewReader("{\n \"work_item_id\": \"wi_9fK2mNqRtVwXyZaBcDeFgH\",\n \"version\": 2,\n \"target_status\": \"open\",\n \"idempotency_key\": \"convert-wi-20260731-0001\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.flashcat.cloud/incident/work-item/convert?app_key=")
.header("Content-Type", "application/json")
.body("{\n \"work_item_id\": \"wi_9fK2mNqRtVwXyZaBcDeFgH\",\n \"version\": 2,\n \"target_status\": \"open\",\n \"idempotency_key\": \"convert-wi-20260731-0001\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flashcat.cloud/incident/work-item/convert?app_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"work_item_id\": \"wi_9fK2mNqRtVwXyZaBcDeFgH\",\n \"version\": 2,\n \"target_status\": \"open\",\n \"idempotency_key\": \"convert-wi-20260731-0001\"\n}"
response = http.request(request)
puts response.read_body{
"request_id": "01J8XQ3E5Z7JM2NTFQ5YJ8P9R4",
"data": {
"item": {
"work_item_id": "wi_9fK2mNqRtVwXyZaBcDeFgH",
"item_type": "follow_up",
"incident_id": "6a5f1e28807515413b384bce",
"post_mortem_id": "51d65cd9525c369379ba471b5512df63",
"title": "Roll back the v2.14 deployment on web-server-01 and web-server-02",
"description": "CPU saturation started right after the v2.14 rollout; roll back and watch the error rate.",
"status": "open",
"priority": "high",
"source_kind": "native",
"version": 3,
"assignee_ids": [
3790925372131
],
"assignees": [
{
"type": "person",
"id": 3790925372131
}
],
"created_by": 3790925372131,
"updated_by": 3790925372131,
"converted_by": 3790925372131,
"converted_at_seconds": 1785497600,
"created_at_seconds": 1785496400,
"updated_at_seconds": 1785497600
}
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "InvalidParameter",
"message": "The specified parameter is not valid."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "Unauthorized",
"message": "You are unauthorized."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "AccessDenied",
"message": "Access Denied."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "RequestTooFrequently",
"message": "Request too frequently."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "InternalError",
"message": "We encountered an internal error, and it has been reported. Please try again later."
}
}跟进事项
转化跟进事项为复盘后续行动
将故障行动项原地转化为故障复盘后续行动。
POST
/
incident
/
work-item
/
convert
转化跟进事项为复盘后续行动
curl --request POST \
--url 'https://api.flashcat.cloud/incident/work-item/convert?app_key=' \
--header 'Content-Type: application/json' \
--data '
{
"work_item_id": "wi_9fK2mNqRtVwXyZaBcDeFgH",
"version": 2,
"target_status": "open",
"idempotency_key": "convert-wi-20260731-0001"
}
'import requests
url = "https://api.flashcat.cloud/incident/work-item/convert?app_key="
payload = {
"work_item_id": "wi_9fK2mNqRtVwXyZaBcDeFgH",
"version": 2,
"target_status": "open",
"idempotency_key": "convert-wi-20260731-0001"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
work_item_id: 'wi_9fK2mNqRtVwXyZaBcDeFgH',
version: 2,
target_status: 'open',
idempotency_key: 'convert-wi-20260731-0001'
})
};
fetch('https://api.flashcat.cloud/incident/work-item/convert?app_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flashcat.cloud/incident/work-item/convert?app_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'work_item_id' => 'wi_9fK2mNqRtVwXyZaBcDeFgH',
'version' => 2,
'target_status' => 'open',
'idempotency_key' => 'convert-wi-20260731-0001'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.flashcat.cloud/incident/work-item/convert?app_key="
payload := strings.NewReader("{\n \"work_item_id\": \"wi_9fK2mNqRtVwXyZaBcDeFgH\",\n \"version\": 2,\n \"target_status\": \"open\",\n \"idempotency_key\": \"convert-wi-20260731-0001\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.flashcat.cloud/incident/work-item/convert?app_key=")
.header("Content-Type", "application/json")
.body("{\n \"work_item_id\": \"wi_9fK2mNqRtVwXyZaBcDeFgH\",\n \"version\": 2,\n \"target_status\": \"open\",\n \"idempotency_key\": \"convert-wi-20260731-0001\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flashcat.cloud/incident/work-item/convert?app_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"work_item_id\": \"wi_9fK2mNqRtVwXyZaBcDeFgH\",\n \"version\": 2,\n \"target_status\": \"open\",\n \"idempotency_key\": \"convert-wi-20260731-0001\"\n}"
response = http.request(request)
puts response.read_body{
"request_id": "01J8XQ3E5Z7JM2NTFQ5YJ8P9R4",
"data": {
"item": {
"work_item_id": "wi_9fK2mNqRtVwXyZaBcDeFgH",
"item_type": "follow_up",
"incident_id": "6a5f1e28807515413b384bce",
"post_mortem_id": "51d65cd9525c369379ba471b5512df63",
"title": "Roll back the v2.14 deployment on web-server-01 and web-server-02",
"description": "CPU saturation started right after the v2.14 rollout; roll back and watch the error rate.",
"status": "open",
"priority": "high",
"source_kind": "native",
"version": 3,
"assignee_ids": [
3790925372131
],
"assignees": [
{
"type": "person",
"id": 3790925372131
}
],
"created_by": 3790925372131,
"updated_by": 3790925372131,
"converted_by": 3790925372131,
"converted_at_seconds": 1785497600,
"created_at_seconds": 1785496400,
"updated_at_seconds": 1785497600
}
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "InvalidParameter",
"message": "The specified parameter is not valid."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "Unauthorized",
"message": "You are unauthorized."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "AccessDenied",
"message": "Access Denied."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "RequestTooFrequently",
"message": "Request too frequently."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "InternalError",
"message": "We encountered an internal error, and it has been reported. Please try again later."
}
}限制说明
| 项目 | 说明 |
|---|---|
| 速率限制 | 每个账户 300 次/分钟;20 次/秒 |
| 权限要求 | 无 —— 持有有效的 app_key 即可调用 |
使用说明
- 需要 On-call Pro 许可。
- 将
action就地转为复盘follow_up——work_item_id不变。 - 对已是
follow_up的事项调用不会做任何修改,并返回idempotent_replay: true。 - 若故障已有复盘,事项会绑定到该复盘,此时需要该复盘的编辑权限;否则可稍后通过
POST /incident/work-item/post-mortem/bind绑定。 - 调用方须拥有事项锚点的编辑权限:已绑定复盘时为该复盘,否则为故障。
- 乐观锁 ——
version必须等于事项当前版本;不一致时返回RequestLocked(HTTP 423),请重新读取事项后重试。 - 每次调用都会记录到账户审计日志,请不要把敏感信息放在请求字段中。
授权
请求体
application/json
将行动项原地转化为复盘后续行动的参数。
此页面对您有帮助吗?